%{?nodejs_find_provides_and_requires}

Name:           node-gyp
Version:        3.2.1
Release:        5%{?dist}
Summary:        Node.js native addon build tool
License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/nodejs/node-gyp
Source0:        http://registry.npmjs.org/node-gyp/-/node-gyp-%{version}.tgz
Source1:        addon-rpm.gypi
# use RPM installed headers by default instead of downloading a source tree
# for the currently running node version
Patch1:         node-gyp-addon-gypi.patch
# use the system gyp
Patch2:         node-gyp-system-gyp.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

# gyp is the actual build framework node-gyp uses
Requires:       gyp
# this is the standard set of headers expected to build any node native module
Requires:       nodejs-devel libuv-devel http-parser-devel
# we also need a C++ compiler to actually build stuff ;-)
Requires:       gcc-c++

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)
BuildRequires:  npm(fstream)
BuildRequires:  npm(glob)
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(nopt)
BuildRequires:  npm(npmlog)
BuildRequires:  npm(osenv)
BuildRequires:  npm(path-array)
BuildRequires:  npm(request)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(semver)
BuildRequires:  npm(tar)
BuildRequires:  npm(which)

%description
node-gyp is a cross-platform command-line tool written in Node.js for compiling
native addon modules for Node.js, which takes away the pain of dealing with the
various differences in build platforms. It is the replacement to the node-waf
program which is removed for node v0.8.


%prep
%setup -q -n package
%patch1 -p1
%patch2 -p1
%nodejs_fixdep minimatch "^3.0.0"
rm -rf gyp


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/node-gyp
cp -pr addon*.gypi bin lib package.json %{buildroot}%{nodejs_sitelib}/node-gyp
cp -p %{SOURCE1} %{buildroot}%{nodejs_sitelib}/node-gyp/addon-rpm.gypi
mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/node-gyp/bin/node-gyp.js %{buildroot}%{_bindir}/node-gyp
%nodejs_symlink_deps


%check
%{nodejs_symlink_deps} --check
%{nodejs_sitelib}/tape/bin/tape test/test-*.js


%files
%doc README.md CHANGELOG.md History.md
%license LICENSE
%{nodejs_sitelib}/node-gyp
%{_bindir}/node-gyp


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Peter Robinson <pbrobinson@fedoraproject.org> 3.2.1-4
- Drop v8-devel requires, bundled with nodejs

* Tue Jan 19 2016 Tom Hughes <tom@compton.nu> - 3.2.1-3
- Build with node 4 compatible include path

* Tue Jan 19 2016 Tom Hughes <tom@compton.nu> - 3.2.1-2
- Build with node 0.10 compatible include path

* Mon Jan 18 2016 Tom Hughes <tom@compton.nu> - 3.2.1-1
- Update to 3.2.1 upstream release
- Enable tests

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.10.6-13
- Update npm(semver) dependency for nodejs 4.2

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.10.6-12
- Update npm(minimatch) dependency
- Update npm(glob) dependency

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 0.10.6-11
- Update npm(semver) dependency for nodejs 4.2

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 0.10.6-10
- Update npm(tar) dependency

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 0.10.6-9
- Update npm(semver) dependency

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 0.10.6-8
- Update npm(fstream) dependency

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 0.10.6-7
- Update npm(graceful-fs) dependency

* Thu Dec 10 2015 Tom Hughes <tom@compton.nu> - 0.10.6-6
- Update npm(semver) dependency for nodejs 4.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 29 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.6-4
- fixup include order for compat-libuv010 (RHBZ#1213047)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.6-2
- fix semver dep

* Fri Jul 12 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.6-1
- new upstream release 0.10.6

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.1-1
- new upstream release 0.10.1

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.9.5-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.9.5-2
- add macro for EPEL6 dependency generation

* Wed Apr 03 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.9.5-1
- new upstream release 0.9.5

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.9.1-2
- update addon-rpm.gypi
- split out addon-rpm.gypi so it's easier to maintain

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.9.1-1
- new upstream release 0.9.1

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.4-1
- new upstream release 0.8.4

* Mon Jan 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.3-1
- new upstream release 0.8.3
- add missing Requires on http-parser-devel

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.2-3
- add missing build section

* Sat Jan 05 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.2-2
- use RPM-installed headers by default
- now patched to use the system gyp instead of relying on a symlink

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.2-1
- new upstream release 0.8.2
- clean up for submission

* Thu Apr 26 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.1-2
- fix dependencies

* Wed Apr 18 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.1-1
- New upstream release 0.4.1

* Fri Apr 06 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.11-1
- New upstream release 0.3.11

* Mon Apr 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.10-1
- New upstream release 0.3.10

* Thu Mar 29 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.9-1
- New upstream release 0.3.9

* Wed Mar 28 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-1
- new upstream release 0.3.8

* Thu Mar 22 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-1
- new upstream release 0.3.7

* Thu Mar 15 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-1
- initial package
